[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: "GLIBC_2.3" not found when starting X

On Son, 2003-02-09 at 15:38, Reto Stalder wrote:
> I've tried to install the newest version of Michel Dänzer's X-server
> (2003.02.07-1) as described in
> http://mij.oltrelinux.com/ibook/step_step/index.html. When I try to start
> it, the following warning and error messages appear:
> X: warning; process set to priority 0 instead of requested priority -10
> X: /lib/libc.so.6: version 'GLIBC_2.3' not found (required by X)
> The version 2002.12.05-4 works fine. How can I fix this error?

The latest packages are for sid, you need glibc 2.3 for them (I just
realize xserver-xfree86-dri-trunk is missing shlibs dependencies, will
fix that in the next version). For woody and sarge, you need

deb     http://people.debian.org/~daenzer/dri-trunk/	./

I'll try to update these again once the packages for sid have settled
down a bit.

Earthling Michel Dänzer (MrCooper)/ Debian GNU/Linux (powerpc) developer
XFree86 and DRI project member   /  CS student, Free Software enthusiast

Reply to: